Bug 807039 - [RFE] Migrate to using NM or systemd for network managment
[RFE] Migrate to using NM or systemd for network managment
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: 3.4.3
Assigned To: Fabian Deutsch
bugs@ovirt.org
node
: FutureFeature
Depends On: 199246
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 16:18 EDT by Mike Burns
Modified: 2014-12-08 10:09 EST (History)
12 users (show)

See Also:
Fixed In Version: 2.7.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-24 13:00:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Burns 2012-03-26 16:18:36 EDT
Description of problem:
We need to move to using Network Manager for all network management.  

This means moving from the existing network service, not editing files directly anymore, determining what files NetworkManager changes and ensure they're persisted correctly

Version-Release number of selected component (if applicable):
2.3.0


Additional info:

* Need to watch blacklisting -- pretty sure we blacklist some (all?) NM components from the image
* make sure we include only api components, existing TUI should be fine as is.
Comment 1 Fabian Deutsch 2012-05-08 14:31:41 EDT
I just created a feature page: http://ovirt.org/wiki/Features/NetworkManager_Support

Would be nice if yyou could look over it Mike, I've surely missed tons of stuff.
Comment 2 Mike Burns 2013-02-05 09:36:57 EST
F18 network manager supports bonds and vlans, but not bridges, so need to continue deferring this support
Comment 3 Fabian Deutsch 2013-05-13 11:35:22 EDT
Adding bridge bug #199246 as blocker.
Comment 4 Doron Fediuck 2014-03-24 13:00:53 EDT
Currently node is working with NM.
Comment 5 Fabian Deutsch 2014-03-24 13:05:42 EDT
We still need to sort this out with vdsm, there might be a conflict.
Comment 6 Sven Kieske 2014-03-25 04:12:29 EDT
What about all the advanced network topologies which network manager does not support? Aren't they supported anymore when you switch to NM? (Bondings with vlans come to my mind, the last time I looked NM couldn't handle it imho).

Note You need to log in before you can comment on or make changes to this bug.